basic/models/Child.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "myuser".
 *
 * @property int $id
 * @property string $first_name
 * @property string $last_name
 * @property string $email
 * @property string $password
 * @property string $profile_pic
 */
class Child extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'child';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['first_name', 'last_name', 'email', 'password', 'profile_pic'], 'required'],
            [['first_name', 'last_name', 'email', 'profile_pic'], 'string', 'max' => 255],
            [['password'], 'string', 'max' => 50],
            [['email'], 'unique'],
        ];
    }
}

basic/controllers/ChildController.php
<?php
namespace app\controllers;   
   
use Yii;   
use app\models\Child; 
use yii\web\UploadedFile;
use yii\web\NotFoundHttpException;  
use yii\web\Controller; 
use yii\data\Pagination;
  
/**  
 * manual CRUD  
 **/   
class ChildController extends Controller   
{    
    /**  
     * Create  
     */   
    public function actionCreate()   
    {   
        $model = new Child();   
   
        // new record 
        if($model->load(Yii::$app->request->post())){ 
            $model->profile_pic = UploadedFile::getInstance($model, 'profile_pic');
            $fileName = time() . '.' . $model->profile_pic->extension;
            $model->profile_pic->saveAs('assets/images/' . $fileName);
            $model->profile_pic = $fileName; 
            $model->save(); 
            return $this->redirect(['index']);   
        }   
                   
        return $this->render('create', ['model' => $model]);   
    }   
  
    /**  
     * Read  
     */   
    public function actionIndex()   
    {  
        $childd = Child::find(); 
       
        $pagination = new Pagination(['totalCount' => $childd->count(), 'pageSize'=>2]);
        $child = $childd->offset($pagination->offset)
        ->limit($pagination->limit)
        ->all();
        return $this->render('index', [
            'model' => $child,
            'pagination' => $pagination,
        ]);   
    } 
    
    /**  
     * Edit  
     * @param integer $id  
     */   
    public function actionEdit($id)   
    {   
        $model = Child::find()->where(['id' => $id])->one();   
   
        // $id not found in database   
        if($model === null)   
            throw new NotFoundHttpException('The requested page does not exist.');   
           
        // update record   
        if($model->load(Yii::$app->request->post()))
     
        {  
            $model->profile_pic = UploadedFile::getInstance($model, 'profile_pic');
            $fileName = time() . '.' . $model->profile_pic->extension;
            $model->profile_pic->saveAs('assets/images/' . $fileName);
            $model->profile_pic = $fileName; 
            $model->save(); 
            return $this->redirect(['index','id' => $model->id]);   
        }   
           
        return $this->render('edit', ['model' => $model]);   
    }

    /**  
    * Delete  
     * @param integer $id  
     */   
    public function actionDelete($id)   
    {   
        $model = Child::findOne($id);   
          
       // $id not found in database   
       if($model === null)   
           throw new NotFoundHttpException('The requested page does not exist.');   
              
       // delete record   
       $model->delete();   
          
       return $this->redirect(['index']);   
    }  
    
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
            
        ]);
    }
    protected function findModel($id)
    {
        if (($model = Child::findOne($id)) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
}  
 

basic/views/child/_form.php
<?php   
use yii\helpers\Html;   
use yii\widgets\ActiveForm;   
?>   
<div class="child-form">  

<?php $form = ActiveForm::begin(); ?>   
<?php $form = ActiveForm::begin(['options' => ['enctype' => 'multipart/form-data']]) ?>

<?= $form->field($model, 'first_name')->textInput(['maxlength' => true]) ?>

<?= $form->field($model, 'last_name')->textInput(['maxlength' => true]) ?>

<?= $form->field($model, 'email')->textInput(['maxlength' => true]) ?>

<?= $form->field($model, 'password')->passwordInput(['maxlength' => true]) ?>

<?= $form->field($model, 'profile_pic')->fileInput(['maxlength' => true]) ?>

    <?= Html::submitButton($model->isNewRecord ? 'Save' : 'Update', ['class' => $model->   
     isNewRecord ? 'btn btn-success' : 'btn btn-primary']); ?>
   
   <?php ActiveForm::end(); ?>
   </div>

basic/views/child/create.php
<?php

use yii\helpers\Html;

$this->title = 'Create Child';
$this->params['breadcrumbs'][] = ['label' => 'Child', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="child-create">
<?= $this->render('_form', [
    'model' => $model,
]) ?>
</div>

basic/views/child/edit.php
<?php

use yii\helpers\Html;

$this->title = 'Update Child: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'child', 'url' => ['index']];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="child-update">

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

basic/views/child/index.php
<?php   
use yii\helpers\Html;
use app\models\Child; 
use yii\widgets\LinkPager;


$this->title = 'Child';
$this->params['breadcrumbs'][] = $this->title;
?>   
   
<style> 
 h1
      {
        text-align:center;
        background-color:orange;
        color:black;
      }  
table th,td{   
    padding: 20px; 
    margin:30px;
    text-align:center;  
}  
th
{
    background-color:green;
    color:white;
} 
</style>   
<h1>Yii2 CRUD Application Design By Abhishek</h1><br><br><br> 
<?= Html::a('Create', ['child/create'], ['class' => 'btn btn-primary']); ?><br><br>   
<table class="table table-bordered table table-hover  table-striped" border="2"> 
   <tr> 
        <th>ID</th>
        <th>First Name</th>
        <th>Last Name</th> 
        <th>Email</th>
        <th>View</th>
        <th>Edit</th>
        <th>Delete</th>
        
    </tr> 
    <?php foreach($model as $field){ ?>
    
    <tr>  
        <td><?=$field->id; ?></td>
        <td><?= $field->first_name; ?></td>
        <td><?= $field->last_name; ?></td>
        <td><?= $field->email; ?></td>
        <td><?= Html::a("View", ['child/view', 'id' => $field->id],['class' => 'btn btn-info']);?></td>
        <td><?= Html::a("Edit", ['child/edit', 'id' => $field->id],['class' => 'btn btn-success']); ?></td>
        <td><?= Html::a("Delete", ['child/delete', 'id' => $field->id],['class' => 'btn btn-danger',
        'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
       ]); ?></td>
    </tr>
    <?php }
      echo LinkPager::widget([
        'pagination' => $pagination,
    ]);?>
       </table>
  

basic/views/child/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;


$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Child', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>



    <img src='assets/images/<?= $model->profile_pic; ?>' height="200" width="200">
    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'first_name',
            'last_name',
            'email:email',
        ],
    ]) ?>